# IoT IP Beacon

Simple daemon that helps you find your lost IoT device on the open sea of IP addresses.

## How it works?

This simple daemon broadcast some basic system information every 10 seconds to the local subnet.

These information are the following:
 - Configured IP address of the sending interface
 - Hostname
 - Birbox software version
 - Uptime

The messages is formed as the following UTF-8 encoded string:
```
BIRBOX|{ipaddr}|{hostname}|{version}|{uptime}
```

The messages are broadcast to the 6969 UDP port.

All you need is to listen to such packets on the network, so you can find your lost IoT device in no time.

## Usage

Just start the script as a system daemon. You may have to change the interface name.